Count working days between two dates (skips weekends and holidays)

Counts working days between two dates (inclusive), excluding weekends and public holidays, and lists the holidays that fell on weekdays.

Request

GEThttps://public-holidays.p.apihiver.com/v1/working-days?country=IN&start=2026-10-01&end=2026-10-31
*
String. ISO country code, e.g. IN, US, GB.
*
String. YYYY-MM-DD.
*
String. YYYY-MM-DD (inclusive)
String. State/province code, e.g. MH (Maharashtra), KA, TN. See /v1/countries.
Boolean. Six-day week (default false).
Language
Client
1curl --request GET \
2  --url 'https://public-holidays.p.apihiver.com/v1/working-days?country=IN&start=2026-10-01&end=2026-10-31&subdivision=%7Bsubdivision%7D&saturday_is_working=%7Bsaturday_is_working%7D' \
3  --header 'Accept: application/json' \
4  --header 'X-API-Key: YOUR_API_KEY'

Count working days between two dates (skips weekends and holidays): Public Holidays API reference

Counts working days between two dates (inclusive), excluding weekends and public holidays, and lists the holidays that fell on weekdays. This endpoint is part of the Public Holidays API: Public holidays for 150+ countries — including Indian states — plus 'is it a holiday?', upcoming holidays and working-day counts.

Example response (200, application/json)

Success.

1{
2  "end": "2026-10-31",
3  "start": "2026-10-01",
4  "working_days": 21,
5  "calendar_days": 31,
6  "holidays_on_weekdays": [
7    {
8      "date": "2026-10-02",
9      "name": "Gandhi Jayanti"
10    }
11  ]
12}

Errors

  • 400 — A required parameter is missing or a value has the wrong format.
    1{
    2  "error": {
    3    "code": "INVALID_INPUT",
    4    "message": "country: Field required"
    5  }
    6}

Gateway errors (missing key, no subscription, rate limits) are listed in Error codes.